POST api/NTCosCompany/DeleteNotifyEmail

Request Information

URI Parameters

None.

Body Parameters

NotifyEmailDTO
NameDescriptionTypeAdditional information
Id

integer

None.

CorporationCode

string

String length: inclusive between 0 and 50

BranchCode

string

String length: inclusive between 0 and 50

DivisionCode

string

String length: inclusive between 0 and 50

WLCode

string

String length: inclusive between 0 and 50

IsErgonomicRelated

boolean

None.

Email

string

String length: inclusive between 0 and 2000

Type

integer

None.

TypeName

string

String length: inclusive between 0 and 50

WrokLocationName

string

String length: inclusive between 0 and 200

IsEnRouteNotification

boolean

None.

CompanyCodehierarchy

string

String length: inclusive between 0 and 50

byLevel

string

String length: inclusive between 0 and 1

Level1

string

String length: inclusive between 0 and 50

Level2

string

String length: inclusive between 0 and 50

Level3

string

String length: inclusive between 0 and 50

Level4

string

String length: inclusive between 0 and 100

Level5

string

String length: inclusive between 0 and 50

ServiceType

integer

None.

IsUserDefineField

boolean

None.

ColumnName

string

String length: inclusive between 0 and 100

UserDefinedValues

Collection of NotifyEmailCustomFieldDTO

None.

ClinicalPathwayTypeId

integer

None.

ClinicalPathwayTypeName

string

String length: inclusive between 0 and 100

EmailNotificationEncounterTypeId

integer

None.

GroupId

string

String length: inclusive between 0 and 200

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "CorporationCode": "sample string 2",
  "BranchCode": "sample string 3",
  "DivisionCode": "sample string 4",
  "WLCode": "sample string 5",
  "IsErgonomicRelated": true,
  "Email": "sample string 6",
  "Type": 1,
  "TypeName": "sample string 7",
  "WrokLocationName": "sample string 8",
  "IsEnRouteNotification": true,
  "CompanyCodehierarchy": "sample string 9",
  "byLevel": "sample string 10",
  "Level1": "sample string 11",
  "Level2": "sample string 12",
  "Level3": "sample string 13",
  "Level4": "sample string 14",
  "Level5": "sample string 15",
  "ServiceType": 16,
  "IsUserDefineField": true,
  "ColumnName": "sample string 18",
  "UserDefinedValues": [
    {
      "Id": 1,
      "NotifyEmailId": 2,
      "FieldName": "sample string 3",
      "Value": "sample string 4",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:46:28.8806608-07:00",
      "DateUpdated": "2026-06-20T12:46:28.8806608-07:00",
      "UserIDCreated": 8,
      "UserIDUpdated": 9,
      "CompanyCode": "sample string 10",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "NotifyEmailId": 2,
      "FieldName": "sample string 3",
      "Value": "sample string 4",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:46:28.8806608-07:00",
      "DateUpdated": "2026-06-20T12:46:28.8806608-07:00",
      "UserIDCreated": 8,
      "UserIDUpdated": 9,
      "CompanyCode": "sample string 10",
      "IsExcludeDiscount": true
    }
  ],
  "ClinicalPathwayTypeId": 1,
  "ClinicalPathwayTypeName": "sample string 19",
  "EmailNotificationEncounterTypeId": 1,
  "GroupId": "sample string 20",
  "ValidFlag": true,
  "DateCreated": "2026-06-20T12:46:28.8806608-07:00",
  "DateUpdated": "2026-06-20T12:46:28.8806608-07:00",
  "UserIDCreated": 24,
  "UserIDUpdated": 25,
  "CompanyCode": "sample string 26",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfNotifyEmailDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

NotifyEmailDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "CorporationCode": "sample string 2",
    "BranchCode": "sample string 3",
    "DivisionCode": "sample string 4",
    "WLCode": "sample string 5",
    "IsErgonomicRelated": true,
    "Email": "sample string 6",
    "Type": 1,
    "TypeName": "sample string 7",
    "WrokLocationName": "sample string 8",
    "IsEnRouteNotification": true,
    "CompanyCodehierarchy": "sample string 9",
    "byLevel": "sample string 10",
    "Level1": "sample string 11",
    "Level2": "sample string 12",
    "Level3": "sample string 13",
    "Level4": "sample string 14",
    "Level5": "sample string 15",
    "ServiceType": 16,
    "IsUserDefineField": true,
    "ColumnName": "sample string 18",
    "UserDefinedValues": [
      {
        "Id": 1,
        "NotifyEmailId": 2,
        "FieldName": "sample string 3",
        "Value": "sample string 4",
        "ValidFlag": true,
        "DateCreated": "2026-06-20T12:46:28.9079841-07:00",
        "DateUpdated": "2026-06-20T12:46:28.9079841-07:00",
        "UserIDCreated": 8,
        "UserIDUpdated": 9,
        "CompanyCode": "sample string 10",
        "IsExcludeDiscount": true
      },
      {
        "Id": 1,
        "NotifyEmailId": 2,
        "FieldName": "sample string 3",
        "Value": "sample string 4",
        "ValidFlag": true,
        "DateCreated": "2026-06-20T12:46:28.9079841-07:00",
        "DateUpdated": "2026-06-20T12:46:28.9079841-07:00",
        "UserIDCreated": 8,
        "UserIDUpdated": 9,
        "CompanyCode": "sample string 10",
        "IsExcludeDiscount": true
      }
    ],
    "ClinicalPathwayTypeId": 1,
    "ClinicalPathwayTypeName": "sample string 19",
    "EmailNotificationEncounterTypeId": 1,
    "GroupId": "sample string 20",
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:46:28.9079841-07:00",
    "DateUpdated": "2026-06-20T12:46:28.9079841-07:00",
    "UserIDCreated": 24,
    "UserIDUpdated": 25,
    "CompanyCode": "sample string 26",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}